Class | Chef::Checksum::Storage::Filesystem
In: | lib/chef/checksum/storage/filesystem.rb
Parent: | Object

### Methods

checksum_repo_directory commit file_location new purge revert to_s

### Public Class methods

new(base_dir, checksum)

### Public Instance methods

checksum_repo_directory()
commit(sandbox_file)
file_location()
purge()

Deletes the file backing this checksum from the on-disk repo. Purging the checksums is how users can get back to a valid state if they‘ve deleted files, so we silently swallow Errno::ENOENT here.

revert(original_committed_file_location)
to_s()

Alias for file_location

[Validate]